Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1786105 - Wayland: Dragging tab/link outside of window is impossible
Summary: Wayland: Dragging tab/link outside of window is impossible
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 33
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2019-12-23 13:18 UTC by rugk
Modified: 2021-11-30 16:33 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:33:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 1527976 0 P2 RESOLVED [Wayland] Dragging and dropping tab outside application windows does not create new window for tab 2020-11-03 19:00:51 UTC

Description rugk 2019-12-23 13:18:36 UTC
Description of problem:
When you use Wayland (or since Fedora 31, where this is the default), you cannot drag a tab to another window.

Version-Release number of selected component (if applicable): firefox-71.0-15.fc31

How reproducible:
Always.

Steps to Reproduce:
1. Click on a tab and move it it a different window.
2. Drop.

Actual results:
Nothing happens and the "document" icon that moves with the cursor when dropping jumps back to the old window, as if we had selected an "invalid" drop target.

Expected results:
Tab should open in a new window there.

Additional info:
Situations where it _does_ work:
* if you already have another Firefox window opened at the other screen _and_ drop it _at_ that window -> opens as a new window anyway
* same as above, you can also always drop it into another existing window into the tab bar -> opens as a tab
* if you use Xorg, everything works
* (**workaround:**) If you drop the window at the same screen (or choose "move tab" -> "open in new window" in the tab context menu), you can then just drag- & drop the window "as usual".

Fedora 31, GNOME 3.34.2

Comment 1 rugk 2019-12-23 13:49:14 UTC
BTW same happens if you try to drop a link outside of the window.

---

…and also happens if you try to drag the window _at the screen_ outside of the window.

I.e. it only works if you drag a tab inside of a Firefox window to another Firefox window.

Comment 2 Martin Stransky 2020-01-02 19:59:28 UTC
I don't know if that's possible under Wayland as we get a different drag event here. I suspect Wayland send drop cancel in this case.

Comment 3 Jan Rybar 2020-03-14 20:42:13 UTC
I confirm the bug.
I've used Wayland solely since F29 and everything worked fine.
Cannot remember if this issue has started after update to F31 or recent regular update of Firefox/gnome-shell, but it's started very recently.

Comment 4 Ben Cotton 2020-11-03 16:02:46 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 rugk 2020-11-03 19:01:44 UTC
Reproduced in Fedora 33, still a bug.

Comment 6 Ben Cotton 2021-11-04 17:24:06 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-11-30 16:33:25 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.